/*
 *  arduino_compat.h
 *
 *  Created on: 8 nov 2010
 *  Author: Tom van Zutphen
 *
 *  This file contains all extra includes and functions to be included in an arduino sketch
 *  when compiling using eclipse IDE instead of the arduino IDE.
 *
 *
 */


#if defined(ARDUINO) && ARDUINO >= 100
#include "Arduino.h"
#else
#include "WProgram.h"
#endif

int main(void)
{
init();

setup();

for (;;)
loop();

return 0;
}

extern "C" void __cxa_pure_virtual(void);

void __cxa_pure_virtual()
{
abort();
}


__extension__ typedef int __guard __attribute__((mode (__DI__)));

extern "C" int __cxa_guard_acquire(__guard *);
extern "C" void __cxa_guard_release (__guard *);
extern "C" void __cxa_guard_abort (__guard *);

int __cxa_guard_acquire(__guard *g) {return !*(char *)(g);};
void __cxa_guard_release (__guard *g) {*(char *)g = 1;};
void __cxa_guard_abort (__guard *) {};

extern "C" void atexit(void);

void atexit()
{
}
